> For the complete documentation index, see [llms.txt](https://developers.tomedes.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.tomedes.com/api/order-statuses.md).

# Order Statuses

Each submitted order passed through a series of status before delivery. Contact any time, the order will contain any of the following status. Please note that as like each order, each source element has its own status which may be the same or different from the parent order based on the situation.

* `` `order_placed` `` - When the order is placed. It shows that the order is not yet processed by the Tomedes translators. All the source elements of the order have the same status - `‘pending’`.
* `` `in_process` `` - When the translator starts working on the order. All the source elements of the order will also be changed as `‘in_process’`. But, the order status will be the same until all the source elements have been updated as ‘translated’.
* **`` ` ``**`` canceled` `` - When the order is canceled. All the source elements of the order will also be changed as ‘canceled’. Once the order is canceled, it can not be processed further.
* `` `translated` `` - Only when all the source elements have the same status ‘translated’, the order status will be updated as ‘translated’.
* `` `revising` `` - While reviewing the translated order, the user can revise some/all of the source elements. So, when any of the source elements has status ‘revising’, the order status will be updated as ‘revising’.
* `` `revised` `` - When all the revising source elements have been updated as ‘revised’, the order status will be changed from ‘revising’ to ‘revised’. Here, when the translator adds translation for the revising source element, the source element will be updated as ‘revised’.
* `` `approved` `` - While reviewing the translated order, the user can approve the order. When the order is approved, all the source elements of the order will be updated with the status - ‘approved’. Once the order has been approved, nothing can be done with the order.
* `` `rejected` `` - While reviewing the translated order, the user can reject the order. When the order is rejected, all the source elements of the order will be updated with the status - ‘rejected’. Once the order has been rejected, nothing can be done with the order.
* `` `order_delivered` `` - Only when the order is approved , order can be delivered.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.tomedes.com/api/order-statuses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
